Skip to main content
`Ctrl`+`K`

# TSSetComputeExactError

Set the function used to automatically compute the exact error for the timestepping.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetComputeExactError(TS ts, PetscErrorCode (*exactError)(TS ts, Vec u, Vec e))

Logically collective

## Input Parameters

- ts - time stepping context

- exactError - The function which computes the solution error

## Calling sequence of `exactError`

- ts - The timestepping context

- u - The approximate solution vector

- e - The vector in which the error is stored

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSGetComputeExactError()`, `TSComputeExactError()`

## Level

advanced

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex77.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages